Skip to main content
GET
/
v1
/
device
/
thermal-control
/
current-state
Get Thermal Control Current State
curl --request GET \
  --url https://api.nox.energy/v1/device/thermal-control/current-state \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "device_id": "HP123456",
    "timestamp": "2025-01-15 12:15:12",
    "tank": {
      "Y": 25.12,
      "DHW_temperature": 47,
      "Q_loss": 0.25,
      "Q_gain": [
        16.35,
        16.35,
        16.35,
        16.35
      ],
      "P_if_activated": [
        2.38,
        2.87,
        3.18,
        3.31
      ]
    },
    "house": {
      "Y": 521.76,
      "Q_natural": -2.04,
      "Q_heating": [
        8.26,
        8.26,
        8.26,
        8.26,
        8.26,
        8.26,
        8.26,
        8.26
      ],
      "Q_cooling": [
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0
      ],
      "P_heating": [
        1.8,
        1.8,
        1.8,
        1.8,
        1.8,
        1.8,
        1.8,
        1.8
      ],
      "P_cooling": [
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0
      ]
    }
  },
  "meta": {
    "timestamp_time_zone": "UTC",
    "temperature_unit": "°C",
    "tank_Y_unit": "kWh",
    "tank_Q_loss_unit": "kW",
    "tank_Q_gain_unit": "kW",
    "tank_P_unit": "kW",
    "house_Y_unit": "kWh",
    "house_Q_natural_unit": "kW",
    "house_Q_heating_unit": "kW",
    "house_Q_cooling_unit": "kW",
    "house_P_heating_unit": "kW",
    "house_P_cooling_unit": "kW",
    "energy_supplier": "Energy Supplier A"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

device_id
string
required

The ID of the device.

unit
enum<string>
default:kWh

Unit for thermal values returned in the response.

'kWh' (default) returns energy in kWh and power in kW.

'celsius' returns temperature equivalents in °C.

Available options:
kWh,
celsius

Response

Successful response